Subject: bug#10169: a simple interrupt evokes abort?! (but only with (require 'saveplace))

From: Jim Meyering <[email-masked]>
Date: Wed, 30 Nov 2011 13:24:50 +0100

When I edit any file and interrupt emacs, I get an abort, in src/eval.c:

  if (gc_in_progress || waiting_for_input)
    abort ();

waiting_for_input is 1.

However, that happens only when using my .emacs file.
When I use -q, e.g., "touch /tmp/x; emacs -q /tmp/x" there is no abort.

Bisecting ~/.emacs, I found the culprit:

  (require 'saveplace)

without that line, there is no problem.

So anyone can reproduce it by running this and then hitting ^C:

  $ touch /tmp/k; emacs -q --eval "(require 'saveplace)" /tmp/k
  ^CFatal error (6)zsh: abort (core dumped)  emacs -q --eval "(require\
    'saveplace)" /tmp/k
  [Exit 134 (ABRT)]